#pragma once

using Isr = void (*)();

void SetExternalInterruptHandler(Isr handler);
void EnableExternalInterrupts();

/** Returns true if interrupts were enabled, false otherwise */
bool EnableInterrupts(bool on);
